
#ifdef DLLDIR_EX
   #define DLLDIR  __declspec(dllexport)   // export DLL information
#else
   #define DLLDIR  __declspec(dllimport)   // import DLL information
#endif 

#include <string>
#include <vector>
using namespace std;

#pragma warning(disable: 4786)
class SpellChecker;


class DLLDIR SpellCheckerPtr
{

	private:

		SpellChecker *spellchecker;

	public:	
		bool Initialize();
		int SpellCheck(unsigned char* str, char **suggestedList);
		~SpellCheckerPtr();
		SpellCheckerPtr();	
};